vq.h File Reference

Definition of a vector quantizer class (unconstrained) More...

`#include <itpp/base/vec.h>`
`#include <itpp/base/sort.h>`
`#include <itpp/base/math/log_exp.h>`
`#include <itpp/itexports.h>`

Go to the source code of this file.

## Classes

class | itpp::Vector_Quantizer
| Class for vector quantization. More...
class | itpp::Scalar_Quantizer
| Class for vector quantization. More...

## Namespaces

| itpp
| itpp namespace

## Functions

ITPP_EXPORT int | itpp::scalar_encode (double x, vec &Levels)
| ADD DOCUMENTATION HERE.
ITPP_EXPORT ivec | itpp::scalar_encode (vec &x, vec &Levels)
| ADD DOCUMENTATION HERE.
double | itpp::scalar_quantize (double x, vec &Levels)
| ADD DOCUMENTATION HERE.
vec | itpp::scalar_quantize (vec &x, vec &Levels)
| ADD DOCUMENTATION HERE.

## Detailed Description

Definition of a vector quantizer class (unconstrained)

Author
  Thomas Eriksson

Copyright (C) 1995-2010 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Definition in file vq.h.

Generated on Sat Sep 30 2017 07:04:09 for IT++ by Doxygen 1.8.13